Subject: Re: bug#39865: 28.0.50; Emacs crash

From: Vinicius José Latorre <[email-masked]>
Date: Tue, 10 Mar 2020 11:54:53 -0300

> AFAIU, the problem in this case wasn't that the backend wasn't
> supported, it was that it was changed in the middle of a session.

Yes, but only at emacs starting (~/.emacs evaluation), after starting there
is no problem to set a font-backend.

On Tue, Mar 10, 2020 at 11:52 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Robert Pluim <[email-masked]>
> > Cc: Vinicius José Latorre <[email-masked]>,
> >   [email-masked]
> > Date: Tue, 10 Mar 2020 15:29:44 +0100
> >
> >     >> I think that emacs should be more robust about this and do not
> crash for any bad value.
> >
> >     Eli> I agree.  It is not a bad value, we just couldn't yet find a
> way of
> >     Eli> switching the font-backend.
> >
> > Eli, would you accept a patch for emacs-27 that signals a user-error
> > if trying to set a font-backend thatʼs not supported by the running
> > emacs? Or that ignores it (with a message)?
>
> In general, yes; but I'd need to see the patch.
>
> AFAIU, the problem in this case wasn't that the backend wasn't
> supported, it was that it was changed in the middle of a session.
>